Joomla 1.5.16/17 PW Retrieval Might Require Template Changes

Need help upgrading your Joomla! website or converting to Joomla! 1.5?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 18271
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Joomla 1.5.16/17 PW Retrieval Might Require Template Changes

Postby leolam » Fri Apr 30, 2010 6:27 am

Password Retrieval Issue Joomla 1.5.16/17

With the arrival of Joomla 1.5.16 and now Joomla 1.5.17 a new field has been added with the confirmation Token, namely a Username is required as well.

token.gif


If you do not add the username field to confirm.php the system will throw you an error upon entering the "token"

"Your password reset confirmation failed because the token was invalid"

From the Joomla Wiki:
---------------------------------------------
Confirm password "Invalid Token" in 1.5.16/1.5.17
If you are getting a Token Error when confirming a password reset after upgrading to Joomla! 1.5.16, or later, and if you are using Template Overrides for the com_user Component, reset view, and confirm layout, then you must manually change your layout file to include a new username field.

Adding that field will fix the token error.

How can end you tell if you need to make this change?:

On your Joomla! installation, see if you have a file a templates/current-template-name/html/com_user/reset/confirm.php file.
(Note: substitute the actual name of your template for current-template-name) If the confirm.php file exists at that location, then you need to make certain the new username field has been added.
--------------------------------------------------

Basically any template that uses overrides will be affected. Templates from for instance Rockettheme, Yootheme, Gavick, Joomlart and probably more use the template override methods

Rockettheme has patched its to be downloaded templates already but the templates in use in the field by end users will need the mentioned code adaptation : http://docs.joomla.org/Confirm_password_in_1.5.16

Leo 8)

Supplementary Note:
These template clubs have been identified as those that may have related issues
* Rockettheme,
* Yootheme
* Joomlart
* Gavick
* Shape 5 (identified by Brynk)
You do not have the required permissions to view the files attached to this post.
Last edited by humvee on Sun May 02, 2010 1:23 am, edited 1 time in total.
Reason: added supplementary note

Return to “Migrating and Upgrading to Joomla! 1.5”

Who is online

Users browsing this forum: No registered users and 5 guests